# installer script for Swiftopt Plattenoptimierung (Holzverschnitt und so)
# 2016 foo.li systeme + software

$packageName    = 'swiftopt'
$mainversion    = '8'
$version        = $mainversion + '.39e'
$fileType       = 'exe'
$scriptPath     =  $(Split-Path $MyInvocation.MyCommand.Path)
$installer      = Join-Path $scriptPath 'SETUP.EXE'
#$silentArgs     = '/loadinf="' + $inipath + '" /SILENT'
$silentArgs     = '/S'
#$url            = '\\unxfsv001\software\frommelt-zimmerei\swiftopt\v839e\setup.exe'
#setup is included in pkg
$url            = $installer
$url64          = $url


try { 
    if (Test-Path $url) {
        Install-ChocolateyInstallPackage $packageName $fileType $silentArgs $url
        #killing browser windows...
        #ps iexplore -ErrorAction SilentlyContinue | kill -PassThru -Force
        #ps MirosoftEdge -ErrorAction SilentlyContinue | kill -PassThru -Force 
        #housekeeping
        Remove-Item -Path "$env:public\Desktop\Plattenoptimierung SWIFTOPT.lnk" -Force -ErrorAction SilentlyContinue
    } else {
        Write-Warning 'can not access share on server.'
        throw 'no access to share / installer'
    }
} catch {
    throw  $_.Exception
}
